#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.4
visibility:           public
id:                   hOpenPGP-2.9.4-BU5SJ9ybxJuLaZarmjHIo2
key:                  hOpenPGP-2.9.4-BU5SJ9ybxJuLaZarmjHIo2
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  55d984b8da139a80ddaad7f4b2d3dc31
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.2/site-local/hOpenPGP-2.9.4
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hOpenPGP-2.9.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hOpenPGP-2.9.4
hs-libraries:         HShOpenPGP-2.9.4-BU5SJ9ybxJuLaZarmjHIo2
depends:
    aeson-1.5.4.0-EKD5HdaQvhNEWBNwoih2VS
    asn1-encoding-0.9.6-5EeAHfAlw536UJ04FX4grX
    attoparsec-0.13.2.4-DxcTCElx4tsJNQm5Cd8pXD base-4.14.1.0
    base16-bytestring-0.1.1.7-7MnoTKrQfBC3WeMx0LqUK0
    bifunctors-5.5.7-Hu9IFjfLOD31ajz7j9yoPk binary-0.8.8.0
    binary-conduit-1.3.1-C17G93rfXeC2vYx7YCPI3i bytestring-0.10.10.0
    bz2-1.0.1.0-BwVvizUYlv7DL4ctBHT5Xm
    conduit-1.3.2.1-Ik09PUVvBfDCgmnfJOajaj
    conduit-extra-1.3.5-2XxOVthP5196iUXEwRP0Fh containers-0.6.2.1
    crypto-cipher-types-0.0.9-4lLcbiqzzgFJfDDaicapOR
    cryptonite-0.27-GQDFsV0e2GLJaPfeS4zGY1
    errors-2.3.0-1h7IeBOrBAT6sdHope67DB
    hashable-1.3.0.0-IhQ3DGT3Mv7KNucUf0KrvO
    incremental-parser-0.5-JphrpyTzYrCHaH4jiQrNf6
    ixset-typed-0.5-I0LkNDPrKRxIRnnU8Z2EjQ
    lens-4.19.2-EE9F53uhWzO6JZIyWUHcZW
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-9hTjugt98GwIOGeydKnTvB
    network-uri-2.6.3.0-7xtb4kZ49Tj2zhAfrjyzOj
    newtype-0.2.2.0-Cj2Sywsqsqk22i4AN8jSfg
    openpgp-asciiarmor-0.1.2-4L1VBYtx6Ia2xHlXYjzsd4
    prettyprinter-1.7.0-5Y6kGkQNXfELtEFGCNDbTp
    resourcet-1.2.4.2-LEDDGHaHA81ubvxvYSIwm
    split-0.2.3.4-96oGdqjC1YmH6o32RRigGx text-1.2.3.2 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.12.0-L7e0ebfosZDK7txbADKTIQ
    zlib-0.6.2.2-85jZF5E8OnCKweDgfCRJUx

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

